/* Copyright (c) 2012, 2013, 2014 BlackBerry Limited.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import bb.cascades 1.3
import com.example.bb10samples.pim.calendar 1.0

Container {
    id: quoteBubble
    property bool editMode: false
    property bool enableSave: false
    property string popis: "Medicine"
    property date odkdy: new Date()
    property date dokdy: new Date()
    property string obrazek: "asset:///listimages/pills.png"
    property string davka: "1"
    property string poznamka: ""
    property string pocetdavek: "tablets"

    property alias pendingPopis: editName.popis
    property alias pendingOdkdy:  editName.odkdy
    property alias pendingDokdy:  editName.dokdy
    property alias pendingObrazek: editName.obrazek
    property alias pendingDavka:  editName.davka
    property alias pendingPoznamka:  editName.poznamka
    property alias pendingPocetdavek:  editName.pocetdavek

    horizontalAlignment: HorizontalAlignment.Center
   
    property real margins: ui.du(3)
    
    
    topPadding: margins
    leftPadding: margins
    rightPadding: margins
    bottomPadding: margins
    
    Label {
        
        enabled: enableSave
        visible: !quoteBubble.editMode
        text: qsTr("Medication details") + Retranslate.onLanguageChanged
        horizontalAlignment: HorizontalAlignment.Center
        textStyle.fontWeight: FontWeight.Normal
        textStyle.fontSize: FontSize.Large
    }
    Divider {
    
    }
        
        Label {
            
            enabled: enableSave
            visible: !quoteBubble.editMode
            text: quoteBubble.popis;
            horizontalAlignment: HorizontalAlignment.Center
            textStyle.fontWeight: FontWeight.Bold
        }
        Divider {
            visible: !quoteBubble.editMode
        }
        ImageView {
            id: obrazekD
            preferredWidth: 250.0
            preferredHeight: 250.0
            imageSource: quoteBubble.obrazek
            visible: !quoteBubble.editMode
        horizontalAlignment: HorizontalAlignment.Center

    }
        
        Divider {
            visible: !quoteBubble.editMode
        }
        Label {
            id: nameLabel
            visible: ! quoteBubble.editMode

            // The person behind the quote who's first and last name are data bound in C++.
            text: qsTr("Dose: ") + Retranslate.onLanguageChanged+quoteBubble.davka + " (" + quoteBubble.pocetdavek+ ")"
            
        horizontalAlignment: HorizontalAlignment.Center
    }

    Divider {
        visible: !quoteBubble.editMode
    }
    Label {
        visible: ! quoteBubble.editMode
        
        // The person behind the quote who's first and last name are data bound in C++.
        text: qsTr("Period: ") + Retranslate.onLanguageChanged
        
        horizontalAlignment: HorizontalAlignment.Center
    }
    DateTimePicker {
        value: quoteBubble.odkdy
        visible: ! quoteBubble.editMode
        mode: DateTimePickerMode.DateTime
        accessibilityMode: A11yMode.Collapsed
        enabled: false
        title: qsTr("From: ") + Retranslate.onLanguageChanged
        touchPropagationMode: TouchPropagationMode.None
    }
    DateTimePicker {
        value: quoteBubble.dokdy
        visible: ! quoteBubble.editMode
        mode: DateTimePickerMode.DateTime
        accessibilityMode: A11yMode.Collapsed
        enabled: false
        title: qsTr("To: ") + Retranslate.onLanguageChanged
        touchPropagationMode: TouchPropagationMode.None
    }
    // Edit mode for name
        EditName {
            id: editName
            visible: quoteBubble.editMode
            popis: quoteBubble.popis
            odkdy: quoteBubble.odkdy
            dokdy: quoteBubble.dokdy
            davka: quoteBubble.davka
            pocetdavek: quoteBubble.pocetdavek
            poznamka: quoteBubble.poznamka
            obrazek: quoteBubble.obrazek
            onEnableSave: {
                // A last name has to be entered disable buttons and text areas as long as the length is zero.
                quoteBubble.enableSave = enable;
            }
        } // EditName
        
 
}// Main Container
